libname leap '\\ead02\ceedd\samd\AMRollin\ImmigrantJobCreation\Data\LEAP';

libname out11 '\\mead03\rollann$\Firm age using series of longitudinal\Big_Data_Special_Issue\Age1orMore'; 


%macro geo;

	%do y=2000 %to 2000; 

		data leap_withgeo_&y ;
			merge leap.leap_&y leap.MainProv_by_lbrid_&y (rename=(prov=main_province sum_pay=pay_main_province)) leap.MainRegion_by_lbrid_&y (rename=(region=main_region sum_pay=pay_main_region));
			by lbrid ;
			;
		run; 

		proc sql;
			create table lleap_withgeo_&y as
			select &y as year, *
			from leap_withgeo_&y
			;
		quit;
		

	%end;


	data out.leap_withgeo_2000to2009;
		set %do y=2000 %to 2009; lleap_withgeo_&y %end;;
	run;

%mend geo;

%geo;




*Keep only incumbents, aged 1 year or more, with an average size of 1 ALU or more. ; 

data out11.incumbent_withgeo_2000to2009;
	set out.leap_withgeo_2000to2009 (where=(dynamics='incumbent' and age >= 1 and aluavg >= 1));

	if year = 2000 then knowledge_industries = . ;

	if year = 2000 then ict_industries = . ;
	else if naics in ('3341','3342','3343','3344','3346','4173','5112','5171','5172','5174','5179','5182','5415','8112') then ict_industries = 1 ; 
	else ict_industries = 0 ;

	HighGrowth10 = aluDHSgrowth >= 0.10;
	HighGrowth20 = aluDHSgrowth >= 0.20;
	HighGrowth30 = aluDHSgrowth >= 0.30;
	HighGrowth40 = aluDHSgrowth >= 0.40;
	HighGrowth50 = aluDHSgrowth >= 0.50;

	LowGrowth10 = aluDHSgrowth <= -0.10;
	LowGrowth20 = aluDHSgrowth <= -0.20;
	LowGrowth30 = aluDHSgrowth <= -0.30;
	LowGrowth40 = aluDHSgrowth <= -0.40;
	LowGrowth50 = aluDHSgrowth <= -0.50;

	length size_age $12;
	if aluavg <100 and age < 10 then size_age = 'small_young' ;
	else if aluavg <100 and age >= 10 then size_age = 'small_old' ;
	else if aluavg >=100 and age < 10 then size_age = 'large_young' ;
	else if aluavg >=100 and age >= 10 then size_age = 'large_old' ;
	else size_age = 'ToCheck'; 

	length age_class2 $8 ;
	if age_class in ('15_to_19','20plus') then age_class2 = '15plus';
	else age_class2 = age_class ;

	
run;


*This is the file used to carry on the statistical tests in Stata. ;
*The variable age_class2 was missing when the file was first transfered in Stata - it gets recreated subsequently in Stata.;

PROC EXPORT DATA=out11.incumbent_withgeo_2000to2009
            FILE="\\mead03\rollann$\Firm age using series of longitudinal\Big_Data_Special_Issue\Age1orMore\incumbent_withgeo_2000to2009.dta"
            DBMS=STATA /*REPLACE*/;
RUN;



