libname out '\\mead03\rollann$\Firm age using series of longitudinal\Big_Data_Special_Issue\Age1orMore'; 

%let homeDir=\\mead03\rollann$\Firm age using series of longitudinal\Big_Data_Special_Issue\Age1orMore;


%Macro Export(DataSet, ExcelFile, Sheet);

proc export data=&DataSet
  outfile="&homeDir\&ExcelFile..xls"
  dbms=EXCELCS replace;
  sheet="&Sheet";
run;

%Mend Export;



*In the paper, we only present LowGrowth20 and HighGrowth20 since we define Low/High Growth Firms as having growth rates above or below 20%.  ;
*Alternative growth rate tresholds were used in order to assess where the 'tick tails' of the distributions start. ;

proc means data=out.incumbent_withgeo_2000to2009 /*STACKODSOUTPUT*/ mean ;
	var LowGrowth50 LowGrowth40 LowGrowth30 LowGrowth20 LowGrowth10 HighGrowth10 HighGrowth20 HighGrowth30 HighGrowth40 HighGrowth50;
	ods output summary=out.SharesHighLowGrowth_Overall ;
run;


proc means data=out.incumbent_withgeo_2000to2009 /*STACKODSOUTPUT*/ mean ;
	var LowGrowth50 LowGrowth40 LowGrowth30 LowGrowth20 LowGrowth10 HighGrowth10 HighGrowth20 HighGrowth30 HighGrowth40 HighGrowth50;
	class year; 
	ods output summary=out.SharesHighLowGrowth_Year ;
run;

proc means data=out.incumbent_withgeo_2000to2009 /*STACKODSOUTPUT*/ mean ;
	var LowGrowth50 LowGrowth40 LowGrowth30 LowGrowth20 LowGrowth10 HighGrowth10 HighGrowth20 HighGrowth30 HighGrowth40 HighGrowth50;
	class industry; 
	ods output summary=out.SharesHighLowGrowth_Industry ;
run;

*Variable knowledge_industries is not available in year 2000. *SAS proc means ignores missing values by default.  ;
proc means data=out.incumbent_withgeo_2000to2009 /*STACKODSOUTPUT*/ mean ;
	var LowGrowth50 LowGrowth40 LowGrowth30 LowGrowth20 LowGrowth10 HighGrowth10 HighGrowth20 HighGrowth30 HighGrowth40 HighGrowth50;
	class knowledge_industries; 
	ods output summary=out.SharesHighLowGrowth_KBI ;
run;

*Variable ict_industries is not available in year 2000. *SAS proc means ignores missing values by default.  ;
proc means data=out.incumbent_withgeo_2000to2009 /*STACKODSOUTPUT*/ mean ;
	var LowGrowth50 LowGrowth40 LowGrowth30 LowGrowth20 LowGrowth10 HighGrowth10 HighGrowth20 HighGrowth30 HighGrowth40 HighGrowth50;
	class ict_industries; 
	ods output summary=out.SharesHighLowGrowth_ICT ;
run;

proc means data=out.incumbent_withgeo_2000to2009 /*STACKODSOUTPUT*/ mean ;
	var LowGrowth50 LowGrowth40 LowGrowth30 LowGrowth20 LowGrowth10 HighGrowth10 HighGrowth20 HighGrowth30 HighGrowth40 HighGrowth50;
	class size_aluavg; 
	ods output summary=out.SharesHighLowGrowth_Size ;
run;

proc means data=out.incumbent_withgeo_2000to2009 /*STACKODSOUTPUT*/ mean ;
	var LowGrowth50 LowGrowth40 LowGrowth30 LowGrowth20 LowGrowth10 HighGrowth10 HighGrowth20 HighGrowth30 HighGrowth40 HighGrowth50;
	class age_class; 
	ods output summary=out.SharesHighLowGrowth_Age ;
run;

proc means data=out.incumbent_withgeo_2000to2009 /*STACKODSOUTPUT*/ mean ;
	var LowGrowth50 LowGrowth40 LowGrowth30 LowGrowth20 LowGrowth10 HighGrowth10 HighGrowth20 HighGrowth30 HighGrowth40 HighGrowth50;
	class age_class2; 
	ods output summary=out.SharesHighLowGrowth_Age2 ;
run;

proc means data=out.incumbent_withgeo_2000to2009 /*STACKODSOUTPUT*/ mean ;
	var LowGrowth50 LowGrowth40 LowGrowth30 LowGrowth20 LowGrowth10 HighGrowth10 HighGrowth20 HighGrowth30 HighGrowth40 HighGrowth50;
	class size_aluavg age_class; 
	ods output summary=out.SharesHighLowGrowth_SizeAndAge ;
run;

proc means data=out.incumbent_withgeo_2000to2009 /*STACKODSOUTPUT*/ mean ;
	var LowGrowth50 LowGrowth40 LowGrowth30 LowGrowth20 LowGrowth10 HighGrowth10 HighGrowth20 HighGrowth30 HighGrowth40 HighGrowth50;
	class size_aluavg age_class2; 
	ods output summary=out.SharesHighLowGrowth_SizeAndAge2 ;
run;

proc means data=out.incumbent_withgeo_2000to2009 /*STACKODSOUTPUT*/ mean ;
	var LowGrowth50 LowGrowth40 LowGrowth30 LowGrowth20 LowGrowth10 HighGrowth10 HighGrowth20 HighGrowth30 HighGrowth40 HighGrowth50;
	class size_age; 
	ods output summary=out.SharesHighLowGrowth_WideSizeAge ;
run;

proc means data=out.incumbent_withgeo_2000to2009 /*STACKODSOUTPUT*/ mean ;
	var LowGrowth50 LowGrowth40 LowGrowth30 LowGrowth20 LowGrowth10 HighGrowth10 HighGrowth20 HighGrowth30 HighGrowth40 HighGrowth50;
	class main_region; 
	ods output summary=out.SharesHighLowGrowth_Region ;
run;




data SharesHighLowGrowth_overall;
	set out.SharesHighLowGrowth_overall;
	variable = 'aluDHSgrowth';
run;

data distribution_overall ;
	set out.distribution_overall  ;
	DRange = P90-P10;
	P90minusP50 = P90-P50;
	P50minusP10 = P50-P10;
	DiffP90P50P10 = P90minusP50 - P50minusP10 ; 
run; 

data out.descriptive_overall;
	merge distribution_overall 
		 SharesHighLowGrowth_overall 
		 	(keep= Variable
			LowGrowth10_Mean 
			LowGrowth20_Mean 
			LowGrowth30_Mean 
			LowGrowth40_Mean 
			LowGrowth50_Mean 
			HighGrowth10_Mean
			HighGrowth20_Mean
			HighGrowth30_Mean
			HighGrowth40_Mean
			HighGrowth50_Mean
			)
		;
	by variable;
run;


*We put the descriptive statistics obtained in code 2 with the High/Low growth proportions, in the same table. ; 

%macro together(type,varlist);

	data distribution_by&type ;
		set out.distribution_by&type  ;
		DRange = P90-P10;
		P90minusP50 = P90-P50;
		P50minusP10 = P50-P10;
		DiffP90P50P10 = P90minusP50 - P50minusP10 ; 
	run; 

	data out.descriptive_&type;
		merge distribution_by&type 
			  out.SharesHighLowGrowth_&type 
			(keep=&varlist 
			LowGrowth10_Mean 
			LowGrowth20_Mean 
			LowGrowth30_Mean 
			LowGrowth40_Mean 
			LowGrowth50_Mean 
			HighGrowth10_Mean
			HighGrowth20_Mean
			HighGrowth30_Mean
			HighGrowth40_Mean
			HighGrowth50_Mean
			)
			;
		by &varlist;

%mend;

%together (year, year);
%together (industry, industry);
%together (KBI, knowledge_industries);
%together (ICT, ict_industries);
%together (Size, size_aluavg);
%together (Age,age_class);
%together (Age2,age_class2);
%together (SizeAndAge,size_aluavg age_class);
%together (SizeAndAge2,size_aluavg age_class2);
%together (WideSizeAge,size_age);
%together (Region,main_region);



*We export the data to Excel;

%Export(out.descriptive_Overall, FINAL_DescriptiveStatsForEachCut_2000to2009, Overall)
%Export(out.descriptive_Year, FINAL_DescriptiveStatsForEachCut_2000to2009, Year)
%Export(out.descriptive_Industry, FINAL_DescriptiveStatsForEachCut_2000to2009, Industry)
%Export(out.descriptive_KBI, FINAL_DescriptiveStatsForEachCut_2000to2009, KBI)
%Export(out.descriptive_ICT, FINAL_DescriptiveStatsForEachCut_2000to2009, ICT)
%Export(out.descriptive_Size, FINAL_DescriptiveStatsForEachCut_2000to2009, Size)
%Export(out.descriptive_Age2, FINAL_DescriptiveStatsForEachCut_2000to2009, Age)
%Export(out.descriptive_SizeAndAge2, FINAL_DescriptiveStatsForEachCut_2000to2009, SizeAndAge)
%Export(out.descriptive_WideSizeAge, FINAL_DescriptiveStatsForEachCut_2000to2009, WideSizeAge)
%Export(out.descriptive_Region, FINAL_DescriptiveStatsForEachCut_2000to2009, Region)

